<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [NS](./bitburner.ns.md) &gt; [share](./bitburner.ns.share.md)

## NS.share() method

Share the server's ram with your factions to increase the reputation gain rate of faction work. This boost is applied to all faction work of all factions.

**Signature:**

```typescript
share(): Promise<void>;
```
**Returns:**

Promise&lt;void&gt;

## Remarks

RAM cost: 2.4 GB

Increases rep/second for all faction work while share is running. Each cycle of ns.share() is 10 seconds. Scales with thread count, but at a sharply decreasing rate.

